Groovy Documentation

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultChildPropertySetter

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultChildPropertySetter

All Implemented Interfaces:
  ChildPropertySetter

    public static class ObjectGraphBuilder.DefaultChildPropertySetter

Default impl that calls parent.propertyName = child
If parent.propertyName is a Collection it will try to add child to the collection.

Method Summary
`void` | `setChild(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setChild

    public void setChild(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)

Groovy Documentation